Bug 17554 - lynx ssl support forgotten
lynx ssl support forgotten
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: lynx (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-15 18:43 EDT by Pekka Savola
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-10 07:37:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2000-09-15 18:43:53 EDT
In 7.0 Gold, lynx hasn't been patched to be SSL aware so it could handle https URLs.
Comment 1 Bernhard Rosenkraenzer 2000-09-23 12:02:21 EDT
I know - it was a timing issue (lynx is maintained from Germany, and we weren't
supposed to have access to RSA before the patent expiration).
Now that the patent has expired, it's fixed in 2.8.4-4, should appear in Rawhide
shortly.
Comment 2 Pekka Savola 2000-10-10 07:37:14 EDT
Umm.. You forgot to actually turn the patch on in -4. :-)

There are a _lot_ of warnings though, but the compile finishes with 'make
SSL_DIR=/usr' at least.
Comment 3 Bernhard Rosenkraenzer 2000-10-11 08:43:08 EDT
This was fixed in -5 a couple of days ago.
Comment 4 Nalin Dahyabhai 2000-11-01 10:10:56 EST
Unless something's changed, the patch does not do certificate validation (which
differs from other web browsers like Netscape).  This is why we made the
conscious decision to leave it out.

Note You need to log in before you can comment on or make changes to this bug.